gtkmm: Gtk::AssistantPage Class Reference

gtkmm 4.14.0

Public Types | Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gtk::AssistantPage Class Reference

Holds properties of a Gtk::Assistant page. More...

`#include <gtkmm/assistantpage.h>`

Inheritance diagram for Gtk::AssistantPage:
[legend]

## Public Types
enum class | Type { CONTENT , INTRO , CONFIRM , SUMMARY , PROGRESS , CUSTOM }

## Public Member Functions
| AssistantPage (AssistantPage &&src) noexcept
AssistantPage & | operator= (AssistantPage &&src) noexcept
| ~AssistantPage () noexcept override
GtkAssistantPage * | gobj ()
| Provides access to the underlying C GObject.
const GtkAssistantPage * | gobj () const
| Provides access to the underlying C GObject.
GtkAssistantPage * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Widget * | get_child ()
| Returns the child to which page belongs.
const Widget * | get_child () const
| Returns the child to which page belongs.
Glib::PropertyProxy< Type > | property_page_type ()
| The type of the assistant page.
Glib::PropertyProxy_ReadOnly< Type > | property_page_type () const
| The type of the assistant page.
Glib::PropertyProxy< Glib::ustring > | property_title ()
| The title of the page.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_title () const
| The title of the page.
Glib::PropertyProxy< bool > | property_complete ()
| Whether all required fields are filled in.
Glib::PropertyProxy_ReadOnly< bool > | property_complete () const
| Whether all required fields are filled in.
Glib::PropertyProxy_ReadOnly< Widget * > | property_child () const
| The child widget.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::AssistantPage > | wrap (GtkAssistantPage *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Holds properties of a Gtk::Assistant page.

Use Gtk::Assistant::get_page() to get a pointer to an AssistantPage object.

See also
  Assistant

Since gtkmm 3.96

Deprecated
  4.10: libadwaita (a C library) has replacement parts (like AdwCarousel).

## Member Enumeration Documentation

## ◆ Type

enum class Gtk::AssistantPage::Type
| strong

Enumerator
CONTENT | The page has regular contents. Both the Back and forward buttons will be shown.
INTRO | The page contains an introduction to the assistant task. Only the Forward button will be shown if there is a next page.
CONFIRM | The page lets the user confirm or deny the changes. The Back and Apply buttons will be shown.
SUMMARY | The page informs the user of the changes done. Only the Close button will be shown.
PROGRESS | Used for tasks that take a long time to complete, blocks the assistant until the page is marked as complete. Only the back button will be shown.
CUSTOM | Used for when other page types are not appropriate. No buttons will be shown, and the application must add its own buttons through Gtk::Assistant::add_action_widget().

## Constructor & Destructor Documentation

## ◆ AssistantPage()

Gtk::AssistantPage::AssistantPage | ( | AssistantPage && | src | ) |
| noexcept

## ◆ ~AssistantPage()

Gtk::AssistantPage::~AssistantPage | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_child() [1/2]

Widget * Gtk::AssistantPage::get_child | ( |  | ) |

Returns the child to which page belongs.

Deprecated: 4.10: This widget will be removed in GTK 5

Returns
  The child to which page belongs.

## ◆ get_child() [2/2]

const Widget * Gtk::AssistantPage::get_child | ( |  | ) | const

Returns the child to which page belongs.

Deprecated: 4.10: This widget will be removed in GTK 5

Returns
  The child to which page belongs.

## ◆ get_type()

static GType Gtk::AssistantPage::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkAssistantPage * Gtk::AssistantPage::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkAssistantPage * Gtk::AssistantPage::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkAssistantPage * Gtk::AssistantPage::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

AssistantPage & Gtk::AssistantPage::operator= | ( | AssistantPage && | src | ) |
| noexcept

## ◆ property_child()

Glib::PropertyProxy_ReadOnly< Widget * > Gtk::AssistantPage::property_child | ( |  | ) | const

The child widget.

Deprecated: 4.10: This object will be removed in GTK 5

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_complete() [1/2]

Glib::PropertyProxy< bool > Gtk::AssistantPage::property_complete | ( |  | ) |

Whether all required fields are filled in.

GTK uses this information to control the sensitivity of the navigation buttons.

Deprecated: 4.10: This object will be removed in GTK 5

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_complete() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::AssistantPage::property_complete | ( |  | ) | const

Whether all required fields are filled in.

GTK uses this information to control the sensitivity of the navigation buttons.

Deprecated: 4.10: This object will be removed in GTK 5

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_page_type() [1/2]

Glib::PropertyProxy< Type > Gtk::AssistantPage::property_page_type | ( |  | ) |

The type of the assistant page.

Deprecated: 4.10: This object will be removed in GTK 5

Default value: Gtk::AssistantPage::Type::CONTENT

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_page_type() [2/2]

Glib::PropertyProxy_ReadOnly< Type > Gtk::AssistantPage::property_page_type | ( |  | ) | const

The type of the assistant page.

Deprecated: 4.10: This object will be removed in GTK 5

Default value: Gtk::AssistantPage::Type::CONTENT

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_title() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::AssistantPage::property_title | ( |  | ) |

The title of the page.

Deprecated: 4.10: This object will be removed in GTK 5

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_title() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::AssistantPage::property_title | ( |  | ) | const

The title of the page.

Deprecated: 4.10: This object will be removed in GTK 5

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::AssistantPage > wrap | ( | GtkAssistantPage * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.